Bug 6735 - blankspace regression
: blankspace regression
Status: RESOLVED FIXED
: Nimbus
Workspace service
: TP2.2
: PC Linux
: P3 normal
: TP2.2.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2009-05-12 17:01 by
Modified: 2009-12-22 22:20 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-12 17:01:38
Blankspace partitions not being set up correctly, error from workspace-control:

fatal, image '/images/fake' does not exist on the filesystem


Patrick Armstrong from UVIC discovered the bug and reports this solution he
authored makes it work:

--- DefaultBindDisks.java    8 Sep 2008 20:06:16 -0000    1.1
+++ DefaultBindDisks.java    12 May 2009 20:54:54 -0000
@@ -238,6 +238,7 @@
         partition.setImagemount(file.getMountAs());
         partition.setRootdisk(false);
         partition.setReadwrite(true);
+        partition.setBlankspace(megabytes);

         return partition;
     }



Thankyou, Patrick.
------- Comment #1 From 2009-12-22 22:20:32 -------
This was merged in already, 2009-10

http://github.com/nimbusproject/nimbus/commit/604fe17910325f62dd8c98175c29177efeba3345